/**********************************************************
***********************************************************
*               European Southern Observatory
*            VLTI MIDI Data Reduction Software
*
* Module name:  classification.h
* Description:
*
*
* History:
* 28-Apr-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _MIDI_FITS_CLASSIFICATION_H
#define _MIDI_FITS_CLASSIFICATION_H

/**********************************************************
*   Include files
**********************************************************/
#include <cpl.h>
/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Type definitions
**********************************************************/

/**********************************************************
*   Global Variables
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void classifyFitsFiles (
    UserOptions	*options,
    MidiFiles   *fileNames,
    FILE        *filePtr,
    int			*error,
    cpl_parameterlist *parlist,
    cpl_frameset      *frameset);

void getFringeTrackBatch (
    ImageFormat	*format,
    FILE		*inFitsTempPtr,
    FILE		*inFitsListPtr,
	char		*fileNameStr,
	char		*dummyClassif,
	FILE		*filePtr,
	int			*localBatchNum,
	int			*fileNumInList,
    int			*error,
    cpl_parameterlist *parlist,
    cpl_frameset      *frameset);

void getAcquisitionBatch (
    FILE		*inFitsTempPtr,
	char		*fileNameStr,
	char		*dummyClassif,
	FILE		*filePtr,
	int			*localBatchNum,
    int			*error);

void getFitsClassification (
    int			fileNum,
    FILE		*reportPtr,
    char		*fileName,
    ImageFormat	*format,
    int			*error);

void getDetLinBatch (
    ImageFormat	*format,
    FILE		*inFitsTempPtr,
    FILE		*inFitsListPtr,
	char		*fileNameStr,
	char		*dummyClassif,
	FILE		*filePtr,
	int			*localBatchNum,
	int			*fileNumInList,
    int			*error);
void getDetRonBatch (
    ImageFormat	*format,
    FILE		*inFitsTempPtr,
    FILE		*inFitsListPtr,
	char		*fileNameStr,
	char		*dummyClassif,
	FILE		*filePtr,
	int			*localBatchNum,
	int			*fileNumInList,
    int			*error);
void getRefPixBatch (
    ImageFormat	*format,
    FILE		*inFitsTempPtr,
    FILE		*inFitsListPtr,
	char		*fileNameStr,
	char		*dummyClassif,
	FILE		*filePtr,
	int			*localBatchNum,
	int			*fileNumInList,
    int			*error);
void getDspTrnBatch (
    ImageFormat	*format,
    FILE		*inFitsTempPtr,
    FILE		*inFitsListPtr,
	char		*fileNameStr,
	char		*dummyClassif,
	FILE		*filePtr,
	int			*localBatchNum,
	int			*fileNumInList,
    int			*error);

void getWavCalBatch (
    ImageFormat	*format,
    FILE		*inFitsTempPtr,
    FILE		*inFitsListPtr,
	char		*fileNameStr,
	char		*dummyClassif,
	FILE		*filePtr,
	int			*localBatchNum,
	int			*fileNumInList,
    int			*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

